.layout {
  overflow: hidden;
  display: grid;
  grid-template-columns: 384px 1fr 384px;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  height: 100vh;
  grid-template-areas: "sidebar workspace timeline";
}

.layout_without_timeline {
  overflow: hidden;
  display: grid;
  gap: 0px 0px;
  height: 100vh;
  grid-template-rows: 1fr;
  grid-template-columns: 384px 1fr;
  grid-template-areas: "sidebar workspace";
}

.sidebar {
  background-color: rgb(var(--bg-c));
  width: 384px;
  grid-area: 1 / 1 / 2 / 2;
}

.timeline {
  background-color: rgb(var(--bg-c));
  width: 384px;
  grid-area: 1 / 3 / 2 / 4;
  overflow: visible;
  max-height: 100vh;
}

.workspace {
  background-color: #fff;
  grid-area: 1 / 2 / 2 / 3;
  max-height: 100vh;
}

.header {
  height: 96px;
  padding: 24px;
  display: flex;
  align-items: center;
  font-size: 18px;
  font-weight: 700;
  width: 100%;
  justify-content: center;
  border-bottom: 1px solid rgba(var(--c), 0.2);
}

.contentMessage {
  margin: 0;
  padding: 24px;
  opacity: 0.75;
}

.sign {
  display: flex;
  align-items: center;
  padding: 24px; /* Паддинг по горизонтали */
  cursor: pointer;
  border: none; /* Удаление границы (бордера) кнопки */
  background: none; /* Удаление фона кнопки */
  width: 100%; /* Задание ширины кнопки во всю ширину контейнера */
  text-align: left; /* Выравнивание текста слева */
  font-weight: 400;
  gap: 16px;
}
.details {
  flex: 1;
}
.image {
  display: block;
  width: 66px;
  height: 70px;
  flex-shrink: 0;
  border-radius: 4px;
}

.file {
  width: 100%;
}

.name {
  font-weight: 500;
  width: 95%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
}

.description {
}

.player {
  max-width: 725px;
  width: 100%;
  border-radius: 8px;
}

.form {
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  max-width: 300px;
  gap: 24px;
  margin: 64px auto 0;
}

.input {
  width: 100%;
  padding: 8px 24px;
  border: 1px solid rgba(var(--c), 0.2);
  height: 48px;
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  border: 1px solid rgba(var(--c), 0.1);
  background: rgba(var(--c), 0.1);
  width: 100%;
  height: 48px;
}

.button:not(:disabled) {
  cursor: pointer;
}

.button:not(:disabled):hover {
  background: rgba(var(--c), 0.2);
}

.button:not(:disabled):active {
  background: rgba(var(--c), 0.05);
}

.dropzone {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border-width: 2px;
  border-radius: 2px;
  border-color: #eeeeee;
  border-style: dashed;
  background-color: #fafafa;
  color: #bdbdbd;
  outline: none;
  transition: border 0.24s ease-in-out;
}
